# -*-rpm-spec-mode-*-
Summary: Arphic PFB fonts for use with LaTeX CJK
Name: cjk-arphic-pfb
Version: 0.1
Release: 1
License: GPL
Group: Applications/Publishing
URL: http://foo.bar
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch 


%description

These are PFB fonts, split up for use with the LaTeX CJK macro package. 

%prep
%setup -q

%build


echo "Inject PFB files NOW!"
sleep 5s
make

%install

rm -rf $RPM_BUILD_ROOT
make TEXMF=$RPM_BUILD_ROOT/usr/share/texmf install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

/usr/share/texmf/fonts/map/dvips/arphic/
/usr/share/texmf/fonts/tfm/arphic/
/usr/share/texmf/fonts/type1/arphic/

%doc

%post
echo '' >> /usr/share/texmf/web2c/updmap.cfg
echo '# added by cjk-arphic-pfb package' >> /usr/share/texmf/web2c/updmap.cfg
echo 'Map arphic.map' >> /usr/share/texmf/web2c/updmap.cfg
mktexlsr
updmap

%postun
perl -i~ -pe 's/Map arphic.map//g' /usr/share/texmf/web2c/updmap.cfg
mktexlsr
updmap

%changelog
* Tue Aug 30 2005 Han-Wen Nienhuys <hanwen@xs4all.nl> - pfb-1
- Initial build.

